.countdown-wrapper {
  position: absolute;
  top: 0px;
  bottom: 0px;
  left: 0px;
  right: 0px;
  overflow: hidden;
}

.countdown-part {
  height: 150vmax;
  width: 150vmax;
  position: absolute;
  top: 50%;
  right: 50%;
  /* opacity: 50%; */
}

.spinner {
  transform-origin: right center;
  transform: translate(0, -50%);
  z-index: 200;
  background-color: #777;
}

.animate .spinner {
  animation: rotate 1s linear 1;
}

.filler {
  z-index: 200;
  background-color: #777;
  transform: translate(100%, -50%);
}

.animate .filler {
  animation: fill 1s steps(1, end) 1;
}

.mask {
  z-index: 250;
  background-color: #fff;
  transform: translate(0, -50%);
}

.animate .mask {
  animation: mask 1s steps(1, end) 1;
}

@keyframes rotate {
  0%   { transform: translate(0, -50%) rotate(0deg); }
  100% { transform: translate(0, -50%) rotate(360deg); }
}

@keyframes fill {
  0%        { opacity: 0; }
  50%, 100% { opacity: 1; }
}

@keyframes mask {
  0%        { opacity: 1; }
  50%, 100% { opacity: 0; }
}
